### Method

# Gtk Svg serialize

since: 4.22

#### Declaration [src]

    GBytes*
    gtk_svg_serialize (
      GtkSvg* self
    )

#### Description [src]

Serializes the content of the renderer as SVG.

The SVG will be similar to the orignally loaded one, but is not guaranteed to be 100% identical.

This function serializes the DOM, i.e. the results of parsing the SVG. It does not reflect the effect of applying animations.

Available since: 4.22

#### Return value

Type: `GBytes`

The serialized contents.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.